diff --git a/which-pkg-broke b/which-pkg-broke
index 4f53139..c0bd621 100755
--- a/which-pkg-broke
+++ b/which-pkg-broke
@@ -9,12 +9,15 @@ import time
 from string import *
 from stat import *
 
+def force_posix_locale():
+    os.environ['LC_ALL'] = 'C'
+
 def pkgdeps(pkg):
     apt_cache = subprocess.Popen(
         ['apt-cache', 'depends', pkg],
         stdout=subprocess.PIPE, stderr=subprocess.STDOUT,
         universal_newlines=True,
-        env={} # force POSIX locale
+        preexec_fn=force_posix_locale,
     )
     deps = []
     for myline in apt_cache.stdout:
@@ -49,7 +52,7 @@ def localarchitectures():
         ['dpkg', '--print-architecture'],
         stdout=subprocess.PIPE, stderr=subprocess.STDOUT,
         universal_newlines=True,
-        env={} # force POSIX locale
+        preexec_fn=force_posix_locale,
     )
     for arch in dpkg_arch.stdout.readlines():
         architectures.append(arch.rstrip())
@@ -59,7 +62,7 @@ def localarchitectures():
             ['dpkg', '--print-foreign-architecture'],
             stdout=subprocess.PIPE, stderr=subprocess.STDOUT,
             universal_newlines=True,
-            env={} # force POSIX locale
+            preexec_fn=force_posix_locale,
             )
         for arch in dpkg_archs.stdout.readlines():
             architectures.append(arch.rstrip())
